<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// select details
	$MOD_PRESET_PATH_MANAGER['section_list']['mainselect']	= 'Bitte zuerst die Seite auswählen!';
	$MOD_PRESET_PATH_MANAGER['file_list']['mainselect']		= 'Bitte zuerst das verzeichnis auswählen!';

	$MOD_PRESET_PATH_MANAGER['page_tree']['page']			= 'Bitte Seite wählen ...';
	$MOD_PRESET_PATH_MANAGER['page_tree']['nopage']			= 'Keine Seiten gefunden!';

	$MOD_PRESET_PATH_MANAGER['section_list']['section']		= 'Bitte Abschnitt wählen ...';
	$MOD_PRESET_PATH_MANAGER['section_list']['dissection']	= 'Gefundene Abschnitte sind ungültig!';
	$MOD_PRESET_PATH_MANAGER['section_list']['nosection']	= 'Keine Abschnitte gefunden!';
	$MOD_PRESET_PATH_MANAGER['section_list']['block']		= 'Block:';
	$MOD_PRESET_PATH_MANAGER['section_list']['module']		= 'Modul:';
	$MOD_PRESET_PATH_MANAGER['section_list']['id']			= 'ID:';
	$MOD_PRESET_PATH_MANAGER['section_list']['name']			= 'Name:';
	$MOD_PRESET_PATH_MANAGER['section_list']['valid']		= 'Gültig:';

	$MOD_PRESET_PATH_MANAGER['folder_tree']['folder']		= 'Bitte Verzeichnis wählen ...';
	$MOD_PRESET_PATH_MANAGER['folder_tree']['nofolder']		= 'Keine Verzeichnisse gefunden!';

	$MOD_PRESET_PATH_MANAGER['file_list']['file']			= 'Bitte Datei wählen ...';
	$MOD_PRESET_PATH_MANAGER['file_list']['nofile']			= 'Keine Dateien gefunden!';

?>
