<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// titel
	$MOD_PRESET_PATH_MANAGER['H2']						= 'Preset Pfade bearbeiten';

// field names
	$MOD_PRESET_PATH_MANAGER['FLD']['path_code']			= 'Pfad Code';
	$MOD_PRESET_PATH_MANAGER['FLD']['path']				= 'Pfad';

// helptext values
	// if such a value is set, the help icon is shown with this text as title
	$MOD_PRESET_PATH_MANAGER['HLP']['path_code']			= 'Der Pfad Code ist eine eindeutige Abkürzung des Pfades. Der Code wird als Teil des Preset Namens angezeigt.';
	$MOD_PRESET_PATH_MANAGER['HLP']['path']				= 'Pfad zum Preset';

// errors
	$MOD_PRESET_PATH_MANAGER['ERROR']['delete_forbidden']= 'Pfad wird benutzt. Löschen ist nicht erlaubt!';

// info text
	$MOD_PRESET_PATH_MANAGER['INFO']['path_code']		= 'Bitte einen Pfad Code vor dem Speichern eingeben. !';

// alerts
	$MOD_PRESET_PATH_MANAGER['ALERT']['no_path']			= 'Keine Presets gefunden.<br/><br />'
															. 'Entweder wurden keine Presets geladen ...<br />'
															. 'Oder die Presets wurden nicht in den definierten Stamm Pfaden installiert ...<br />'
															. 'Oder alle verfügbaren Presets wurden bereits geladen!';

// JS dialog titles
	$MOD_PRESET_PATH_MANAGER['DIALOG']['restore_row']	= 'Pfad wiederherstellen';
	$MOD_PRESET_PATH_MANAGER['DIALOG']['delete_row']		= 'Pfad löschen';


?>
