<?php

/**  // € // to identify files as UTF8
 * defines preset path to be used in various modules
 *
 * @module          preset_path_manager
 * @author          Wolfgang Studer
 * @copyright       2016 Wolfgang Studer
 * @link            www.LEPTON-cms.org
 * @license         GNU General Public License
 * @license_terms   please see info.php of this module
 * @version         $Id: 1.06.000 | 2016-12-17
 * @lepador_link    http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php
 * @forum_link      http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061
*/


// include class.secure.php to protect this file and the whole CMS!
	if ( defined('LEPTON_PATH') == TRUE ):
		include(LEPTON_PATH.'/framework/class.secure.php');
	else:
		$oneback = "../";
		$root = $oneback;
		$level = 1;
		while (( $level < 10 ) && ( file_exists( $root . '/framework/class.secure.php' ) == FALSE )):
			$root .= $oneback;
			$level += 1;
		endwhile;
	
		if ( file_exists($root.'/framework/class.secure.php') == TRUE ):
			include( $root . '/framework/class.secure.php' );
		else:
			trigger_error( sprintf("[ <b>%s</b> ] Can't include class.secure.php!", $_SERVER['SCRIPT_NAME']), E_USER_ERROR );
		endif;
	endif;
// end include class.secure.php


// Titel
	$MOD_PRESET_PATH_MANAGER['H2']				= 'Preset Path Manager: Infopage:';

// module details
	$MOD_PRESET_PATH_MANAGER['version']			= 'Release-info';

// additional details
	$MOD_PRESET_PATH_MANAGER['ADD']['LEPTON_version']	= 'LEPTON Version';
	$MOD_PRESET_PATH_MANAGER['ADD']['php_version']		= 'PHP Version';
	$MOD_PRESET_PATH_MANAGER['ADD']['mysql_version']		= 'MySql Version';

// generic
	$MOD_PRESET_PATH_MANAGER['INFO']['Home page']		= 'You can find latest release on <a href="http://www.lepton-cms.com/lepador/admintools/preset_path_manager.php" target="_blank">LEPAdoR (the LEPTON Addon Repository)</a>';
	$MOD_PRESET_PATH_MANAGER['INFO']['Help and Support']	= 'You get support on the <a href="http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061" target="_blank">LEPTON CMS Addons Forum</a>.';
	$MOD_PRESET_PATH_MANAGER['INFO']['Report a bug']		= 'Please report bugs also in <a href="http://forum.lepton-cms.org/viewtopic.php?f=66&t=3061" target="_blank">LEPTON CMS Addons Forum</a>.';

?>
